Bug 11904 - Missed dependency on 'su'
: Missed dependency on 'su'
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/subversion-server-standalone)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
: 11359
:
  Show dependency tree
 
Reported: 2007-05-28 14:11 by
Modified: 2008-11-09 13:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-28 14:11:03
В зависимостях пакета subversion-server-standalone-1.4.3-alt3 не 
указана /bin/su, однако без неё сервер через init-скрипт запустить невозможно.



Steps to Reproduce:
# service svnserve start
Starting svnserve service: start-stop-daemon: execv: /bin/su: No such file or 
directory
[FAILED]
# apt-get install su
....
# service svnserve start
Starting svnserve service: [ DONE ]
------- Comment #1 From 2008-10-21 16:28:08 -------
Передаю мэйнтейнеру
------- Comment #2 From 2008-11-05 11:53:27 -------
вырезка из /etc/init.d/functions
   136                  --user|--set-user)
   137                          shift
   138                          SU="$1"
   139                          [ -n "$EXPECT" ] || EXPECT="$SU"
   140                          shift
   141                          ;;

   191  # Actually start the daemon.
   192          if [ -z "$SU" ]; then
   193                  initlog $INITLOG_ARGS -n "$BASENAME" -c
"start-stop-daemon $FLAGS -- $*"
   194          else
   195                  initlog $INITLOG_ARGS -n "$BASENAME" -c
"start-stop-daemon $FLAGS --startas /bin/su -- \
   196                          -s /bin/sh -l '$SU' -c '$WHICH $*'"
   197          fi

добавлять requires в subversion, или это дело за service?
------- Comment #3 From 2008-11-05 12:20:42 -------
Согласно комментариям к #11359 - добавлять requires. 
------- Comment #4 From 2008-11-05 19:07:31 -------
понял. с 1.5.4 тогда заброшу.
------- Comment #5 From 2008-11-06 02:25:01 -------
Fixed in 1.5.4-alt1